Subject: Re: bug#27363: 26.0.50; Error with customize-group

From: Glenn Morris <[email-masked]>
Date: Fri, 16 Jun 2017 20:32:21 -0400

I'm not sure. On the one hand, those :options do nothing, on the other
hand, maybe having them there acts like an explanatory comment.

I see there are some strings with :options too, which also don't work,
but don't cause errors either. Eg tex-open-quote.
Only :types with even numbers of elements, eg '(repeat character)', are
a problem.

The following change avoids the error without removing the :options.
I don't really get custom-variable-type. It's not obvious to me that the
:type of a defcustom should be valid as a widget.

--- a/lisp/cus-edit.el
+++ b/lisp/cus-edit.el
@@ -2518,7 +2518,7 @@ custom-variable-type
 		  (copy-sequence type)
 		(list type))))
     (when options
-      (widget-put tmp :options options))
+      (setcdr tmp (append (list :options options) (cdr tmp))))
     tmp))
 
 (defun custom-variable-value-create (widget)